    import {NoResults} from 'tablefilter/src/modules/noResults.js'

public class | source

# NoResults

#### Extends:

Feature → NoResults

## Constructor Summary

Public Constructor
public | constructor(tf: Object) No results message UI component |

## Member Summary

Public Members
public | cont: * |
public | content: * |
public | cssClass: * |
public | customContainer: * |
public | customContainerId: * |
public | initialized: boolean |
public | isExternal: * |
public | onAfterHideMsg: * |
public | onAfterShowMsg: * |
public | onBeforeHideMsg: * |
public | onBeforeShowMsg: * |
public | prfxNoResults: string |

## Method Summary

Public Methods
public | destroy() |
public | hide() |
public | init() |
public | setWidth() |
public | show() |
public | toggle() |

## Inherited Summary

From class Feature
public | config: * |
public | emitter: * |
public | enabled: * |
public | feature: * |
public | initialized: boolean |
public | tf: * |
public | destroy() |
public | disable() |
public | enable() |
public | init() |
public | isEnabled(): * |
public | reset() |

## Public Constructors

### public constructor(tf: Object) source

No results message UI component

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public cont: * source

### public content: * source

### public cssClass: * source

### public customContainer: * source

### public customContainerId: * source

### public initialized: boolean source

#### Override:

Feature#initialized

### public isExternal: * source

### public onAfterHideMsg: * source

### public onAfterShowMsg: * source

### public onBeforeHideMsg: * source

### public onBeforeShowMsg: * source

### public prfxNoResults: string source

## Public Methods

### public destroy() source

#### Override:

Feature#destroy

### public hide() source

### public init() source

#### Override:

Feature#init

### public setWidth() source

### public show() source

### public toggle() source